#========================================================================================
# package      DE_EPAGES::Event::API::Constants
# state        public
# description  Constants for event cartridge
#========================================================================================
package DE_EPAGES::Event::API::Constants;
use base Exporter;

use strict;



our @EXPORT_OK = qw (
    EVENT_PRODUCT_CREATION
    EVENT_PRODUCT_DELETION
    EVENT_PRODUCT_UPDATE

    EVENT_ORDER_CREATION
    EVENT_ORDER_DELETION
    EVENT_ORDER_UPDATE

    EVENT_CATEGORY_CREATION
    EVENT_CATEGORY_DELETION
    EVENT_CATEGORY_UPDATE
);

use constant EVENT_PRODUCT_CREATION => 'PRODUCT_CREATE';
use constant EVENT_PRODUCT_DELETION => 'PRODUCT_DELETE';
use constant EVENT_PRODUCT_UPDATE => 'PRODUCT_UPDATE';

use constant EVENT_ORDER_CREATION => 'ORDER_CREATE';
use constant EVENT_ORDER_DELETION => 'ORDER_DELETE';
use constant EVENT_ORDER_UPDATE => 'ORDER_UPDATE';

use constant EVENT_CATEGORY_CREATION => 'CATEGORY_CREATE';
use constant EVENT_CATEGORY_DELETION => 'CATEGORY_DELETE';
use constant EVENT_CATEGORY_UPDATE => 'CATEGORY_UPDATE';

1;