package DE_EPAGES::Product::UI::CSVExportImport;
use base qw ( DE_EPAGES::ShopCSVExportImport::UI::CSVExportImport );

use DE_EPAGES::Product::API::CSV::ProductExportImport;

use strict;



#==============================================================================
# Helper methods
#==============================================================================
sub createDriver {
    return "DE_EPAGES::Product::API::CSV::ProductExportImport";
}

sub type {
    return 'Product';
}

#==============================================================================
# Event handlers
#==============================================================================
sub CSVImport {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;

    my $aBatchHandlers = ['CreateProducts', 'UpdateProducts'];
    $self->SUPER::CSVImport( $Servlet, $aBatchHandlers );

    $Shop->updatePageCache;
    return;
}
1;
