package DE_EPAGES::Content::UI::CSVExportImport;
use base qw ( DE_EPAGES::ShopCSVExportImport::UI::CSVExportImport );

use strict;
use DE_EPAGES::Content::API::CSV::ContentExportImport;

#==============================================================================
# Helper methods
#==============================================================================

sub createDriver {
    return "DE_EPAGES::Content::API::CSV::ContentExportImport";
}

sub type {
    return 'Content';
}

#==============================================================================
# Event handlers
#==============================================================================

sub CSVExportImportContent {
    shift->SUPER::CSVExportImport( @_ );
    return;
}

sub CSVImport {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;

    my $aBatchHandlers = ['CreateCategories', 'UpdateCategories'];
    $self->SUPER::CSVImport( $Servlet, $aBatchHandlers );

    $Shop->updatePageCache;
    return;
}

1;
